> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all workspace updates

GET https://api.getpostman.com/workspaces/{workspaceId}/updates

Gets a list of workspace updates for the given workspace.

Reference: https://learning.postman.com/api-docs/api-reference/workspaces/get-workspace-updates

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /workspaces/{workspaceId}/updates:
    get:
      operationId: getWorkspaceUpdates
      summary: Get all workspace updates
      description: Gets a list of workspace updates for the given workspace.
      tags:
        - workspaces
      parameters:
        - name: workspaceId
          in: path
          description: The workspace's ID.
          required: true
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: category
          in: query
          description: >-
            A comma-separated list of categories to filter the results by.
            Accepts `improvement`, `bug_fix`, `new_feature`, `breaking_change`,
            `announcement`.
          required: false
          schema:
            $ref: '#/components/schemas/workspaceUpdateCategory'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getWorkspaceUpdates'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetWorkspaceUpdatesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceId:
      type: string
      title: workspaceId
    cursor:
      type: string
      title: cursor
    workspaceUpdateCategory:
      type: string
      title: workspaceUpdateCategory
    workspaceUpdateCreatedByData:
      type: object
      properties:
        id:
          type: integer
          description: The user ID of the user that created the workspace update.
        name:
          type: string
          description: The display name of the user that created the workspace update.
        username:
          type: string
          description: The username of the user that created the workspace update.
      description: Information about the user that created the workspace update.
      title: workspaceUpdateCreatedByData
    workspaceUpdateCategoryData:
      type: string
      enum:
        - improvement
        - new_feature
        - bug_fix
        - breaking_change
        - announcement
      description: The update's assigned category.
      title: workspaceUpdateCategoryData
    WorkspaceUpdateRelatedResourcesDataItemsResource:
      type: string
      enum:
        - collection
        - request
        - response
        - folder
        - extensibleCollection
        - extensibleCollectionItem
      description: The type of linked resource.
      title: WorkspaceUpdateRelatedResourcesDataItemsResource
    WorkspaceUpdateRelatedResourcesDataItems:
      type: object
      properties:
        resource:
          $ref: >-
            #/components/schemas/WorkspaceUpdateRelatedResourcesDataItemsResource
          description: The type of linked resource.
        resourceId:
          type: string
          description: The linked resource's ID.
      required:
        - resource
        - resourceId
      title: WorkspaceUpdateRelatedResourcesDataItems
    workspaceUpdateRelatedResourcesData:
      type: array
      items:
        $ref: '#/components/schemas/WorkspaceUpdateRelatedResourcesDataItems'
      description: >-
        A list containing the update's related elements. Related elements
        include links to collections, requests, folders, and saved examples in
        the update.
      title: workspaceUpdateRelatedResourcesData
    workspaceUpdateData:
      type: object
      properties:
        id:
          type: integer
          description: The workspace update's ID.
        topic:
          type: string
          description: The title of the workspace update.
        description:
          type: string
          description: The content of the workspace update.
        workspaceId:
          type: string
          description: The ID of the workspace in which the workspace update was created.
        createdBy:
          $ref: '#/components/schemas/workspaceUpdateCreatedByData'
        updatedBy:
          type: integer
          description: The ID of the user who last updated the workspace update.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the workspace update was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the workspace update was last updated.
        category:
          $ref: '#/components/schemas/workspaceUpdateCategoryData'
        isPinned:
          type: boolean
          default: false
          description: >-
            If true, the workspace update is pinned to the top of the workspace
            updates list.
        relatedResources:
          $ref: '#/components/schemas/workspaceUpdateRelatedResourcesData'
      description: Information about the workspace update.
      title: workspaceUpdateData
    meta:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      title: meta
    getWorkspaceUpdates:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/workspaceUpdateData'
          description: A list of workspace updates.
        meta:
          $ref: '#/components/schemas/meta'
      title: getWorkspaceUpdates
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetWorkspaceUpdatesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetWorkspaceUpdatesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Get Workspace Updates



**Response**

```json
{
  "data": [
    {
      "id": 1,
      "topic": "API v1.0 released",
      "description": "We've released the first version of our newest API!",
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdBy": {
        "id": 12345678,
        "name": "Taylor Lee",
        "username": "taylor-lee"
      },
      "updatedBy": 12345678,
      "createdAt": "2026-04-10T09:36:21.000Z",
      "updatedAt": "2026-04-10T11:58:43.000Z",
      "category": "announcement",
      "isPinned": true,
      "relatedResources": [
        {
          "resource": "collection",
          "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
        }
      ]
    }
  ],
  "meta": {
    "nextCursor": "e3BhZ2VJZDoyfQ=="
  }
}
```

**SDK Code**

```python Get Workspace Updates
import requests

url = "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Workspace Updates
const url = 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Workspace Updates
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Workspace Updates
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Get Workspace Updates
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Get Workspace Updates
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Get Workspace Updates
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Get Workspace Updates
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Get Workspace Updates with Filters



**Response**

```json
{
  "data": [
    {
      "id": 1,
      "topic": "API v1.0 released",
      "description": "We've released the first version of our newest API!",
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdBy": {
        "id": 12345678,
        "name": "Taylor Lee",
        "username": "taylor-lee"
      },
      "updatedBy": 12345678,
      "createdAt": "2026-04-10T09:36:21.000Z",
      "updatedAt": "2026-04-10T11:58:43.000Z",
      "category": "announcement",
      "isPinned": true,
      "relatedResources": [
        {
          "resource": "collection",
          "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
        }
      ]
    },
    {
      "id": 2,
      "topic": "API v1.0.1 release",
      "description": "We've updated our API with several minor improvements.",
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdBy": {
        "id": 56781234,
        "name": "Alex Cruz",
        "username": "alex-cruz"
      },
      "updatedBy": 12345678,
      "createdAt": "2026-04-20T20:12:46.000Z",
      "updatedAt": "2026-04-20T20:12:46.000Z",
      "category": "improvement",
      "isPinned": false,
      "relatedResources": []
    }
  ],
  "meta": {
    "nextCursor": null
  }
}
```

**SDK Code**

```python Get Workspace Updates with Filters
import requests

url = "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Workspace Updates with Filters
const url = 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Workspace Updates with Filters
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Workspace Updates with Filters
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Get Workspace Updates with Filters
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Get Workspace Updates with Filters
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Get Workspace Updates with Filters
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Get Workspace Updates with Filters
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```